import { Component, Input, Output, EventEmitter } from '@angular/core';
import { Spell } from 'src/interfaces/spell';
import { TranslatorService } from 'src/services/translator/translator.service';

@Component({
  selector: 'spellcard',
  templateUrl: './spellcard.component.html',
  styleUrl: './spellcard.component.scss',
})
export class SpellcardComponent {
  @Input() public spell!: Spell;
  public schools: any;

  public constructor(public translator: TranslatorService) {
    this.schools = translator.schools;
  }

  public ngOnInit(): void {
    console.log(this.spell);
  }

  public setBackupImage(event: any): void {
    event.target.src = 'assets/images/spells/backup.jpg';
  }
}
